Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.rdbmdl
Interface Model

All Superinterfaces:
  org.eclipse.emf.cdo.CDOObject, org.eclipse.emf.cdo.common.id.CDOWithID, Element, org.eclipse.emf.ecore.EObject, NamedElement, org.eclipse.emf.common.notify.Notifier

    public interface Model

extends NamedElement

A representation of the model object 'Model'.

The following features are supported:

- `Schemas`
- `Server id`

See Also:
  `RdbmdlPackage.getModel()`

Method Summary
`org.eclipse.emf.common.util.EList<Schema>` | `getSchemas()` Returns the value of the 'Schemas' containment reference list.
`java.lang.String` | `getServer_id()` Returns the value of the 'Server id' attribute
`void` | `setServer_id(java.lang.String value)` Sets the value of the '`Server id`' attribute

Methods inherited from interface it.csi.mddtools.rdbmdl.NamedElement
`getName, getUid, setName, setUid`

Methods inherited from interface it.csi.mddtools.rdbmdl.Element
`getParent, setParent`

Methods inherited from interface org.eclipse.emf.cdo.CDOObject
`cdoConflict, cdoDirectResource, cdoID, cdoInvalid, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoState, cdoView, cdoWriteLock`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSchemas

    org.eclipse.emf.common.util.EList<Schema> getSchemas()

  Returns the value of the 'Schemas' containment reference list. The list contents are of type `Schema`.

  If the meaning of the 'Schemas' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Schemas' containment reference list.
  See Also:
    `RdbmdlPackage.getModel_Schemas()`

### getServer_id

    java.lang.String getServer_id()

  Returns the value of the 'Server id' attribute.

  If the meaning of the 'Server id' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Server id' attribute.
  See Also:
    `setServer_id(String)`, `RdbmdlPackage.getModel_Server_id()`

### setServer_id

    void setServer_id(java.lang.String value)

  Sets the value of the '`Server id`' attribute.

  Parameters:
    `value` - the new value of the 'Server id' attribute.
  See Also:
    `getServer_id()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD